import { defineComponent as s, computed as a, openBlock as i, createElementBlock as p, normalizeClass as c, renderSlot as m } from "vue";
import { clsx as f } from "clsx";
import "../../../config-provider/index.mjs";
import C from "../../style/title.mjs";
import { useNamespace as v } from "../../../config-provider/hooks/use-namespace.mjs";
import { useGlobalConfig as M } from "../../../config-provider/hooks/use-global-config.mjs";
const b = /* @__PURE__ */ s({
  name: "ApProCardTitle",
  __name: "index",
  props: {
    type: {
      default: "default"
    },
    uiMode: {
      default: void 0
    }
  },
  setup(l) {
    const {
      b: u
    } = v("pro-card-title"), d = C("pro-card-title"), t = M("apProCard", {
      uiMode: "aplus"
    }), e = l, r = a(() => (e.uiMode || t.value?.uiMode) === "aplus" ? "user" : e.uiMode || t.value?.uiMode), n = a(() => {
      const o = u();
      return f(`${o}`, [e.type ? `${o}-${e.type}` : void 0, r.value ? `${o}-${e.type ?? "default"}-${r.value}` : void 0, d.value].filter(Boolean));
    });
    return (o, $) => (i(), p("div", {
      class: c(n.value)
    }, [m(o.$slots, "default")], 2));
  }
});
export {
  b as default
};
